io.agora.rtc

## Class DownlinkNetworkInfo

- java.lang.Object
- - io.agora.rtc.DownlinkNetworkInfo

-     public class DownlinkNetworkInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bandwidthEstimationBps`
    `private int` | `lastmileBufferDelayTimeMs`
    `private PeerDownlinkInfo` | `peerDownlinkInfo`
    `private int` | `totalDownscaleLevelCount`
    `private int` | `totalReceivedVideoCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DownlinkNetworkInfo()`
    `DownlinkNetworkInfo(int lastmileBufferDelayTimeMs, int bandwidthEstimationBps, int totalDownscaleLevelCount, PeerDownlinkInfo peerDownlinkInfo, int totalReceivedVideoCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBandwidthEstimationBps()`
    `int` | `getLastmileBufferDelayTimeMs()`
    `PeerDownlinkInfo` | `getPeerDownlinkInfo()`
    `int` | `getTotalDownscaleLevelCount()`
    `int` | `getTotalReceivedVideoCount()`
    `void` | `setBandwidthEstimationBps(int bandwidthEstimationBps)`
    `void` | `setLastmileBufferDelayTimeMs(int lastmileBufferDelayTimeMs)`
    `void` | `setPeerDownlinkInfo(PeerDownlinkInfo peerDownlinkInfo)`
    `void` | `setTotalDownscaleLevelCount(int totalDownscaleLevelCount)`
    `void` | `setTotalReceivedVideoCount(int totalReceivedVideoCount)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### lastmileBufferDelayTimeMs

          private int lastmileBufferDelayTimeMs

    - #### bandwidthEstimationBps

          private int bandwidthEstimationBps

    - #### totalDownscaleLevelCount

          private int totalDownscaleLevelCount

    - #### peerDownlinkInfo

          private PeerDownlinkInfo peerDownlinkInfo

    - #### totalReceivedVideoCount

          private int totalReceivedVideoCount

  - ### Constructor Detail

    - #### DownlinkNetworkInfo

          public DownlinkNetworkInfo()

    - #### DownlinkNetworkInfo

          public DownlinkNetworkInfo(int lastmileBufferDelayTimeMs,
                                     int bandwidthEstimationBps,
                                     int totalDownscaleLevelCount,
                                     PeerDownlinkInfo peerDownlinkInfo,
                                     int totalReceivedVideoCount)

  - ### Method Detail

    - #### getLastmileBufferDelayTimeMs

          public int getLastmileBufferDelayTimeMs()

    - #### setLastmileBufferDelayTimeMs

          public void setLastmileBufferDelayTimeMs(int lastmileBufferDelayTimeMs)

    - #### getBandwidthEstimationBps

          public int getBandwidthEstimationBps()

    - #### setBandwidthEstimationBps

          public void setBandwidthEstimationBps(int bandwidthEstimationBps)

    - #### getTotalDownscaleLevelCount

          public int getTotalDownscaleLevelCount()

    - #### setTotalDownscaleLevelCount

          public void setTotalDownscaleLevelCount(int totalDownscaleLevelCount)

    - #### getPeerDownlinkInfo

          public PeerDownlinkInfo getPeerDownlinkInfo()

    - #### setPeerDownlinkInfo

          public void setPeerDownlinkInfo(PeerDownlinkInfo peerDownlinkInfo)

    - #### getTotalReceivedVideoCount

          public int getTotalReceivedVideoCount()

    - #### setTotalReceivedVideoCount

          public void setTotalReceivedVideoCount(int totalReceivedVideoCount)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`